com.aliyun.svideosdk.common.struct.common

## Class AliyunImageClip.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunImageClip.Builder

- Enclosing class:
    AliyunImageClip

      public static final class AliyunImageClip.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunImageClip` | `build()`
    `AliyunImageClip.Builder` | `displayMode(AliyunDisplayMode mode)` Sets the display mode of the image.
    `AliyunImageClip.Builder` | `duration(long durationMills)` Sets the display duration of the image.
    `AliyunImageClip.Builder` | `id(int id)` Sets the id of the image.
    `AliyunImageClip.Builder` | `source(java.lang.String source)` Sets an image source.
    `AliyunImageClip.Builder` | `transition(TransitionBase transition)` Sets the transition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### source

          public AliyunImageClip.Builder source(java.lang.String source)

      Sets an image source.
      Parameters:
        `source` - The image path. Only local file paths are supported.
      Returns:
        this

    - #### transition

          public AliyunImageClip.Builder transition(TransitionBase transition)

      Sets the transition.
      Parameters:
        `transition` - the transition object
      Returns:
        this

    - #### displayMode

          public AliyunImageClip.Builder displayMode(AliyunDisplayMode mode)

      Sets the display mode of the image.
      Parameters:
        `mode` - the display mode
      Returns:
        this
      See Also:
        `AliyunDisplayMode`

    - #### duration

          public AliyunImageClip.Builder duration(long durationMills)

      Sets the display duration of the image.
      Parameters:
        `durationMills` - Unit: milliseconds.
      Returns:
        this

    - #### id

          public AliyunImageClip.Builder id(int id)

      Sets the id of the image.
      Parameters:
        `id` -
      Returns:
        this

    - #### build

          public AliyunImageClip build()